
# $TARGET is the name of the .jar / .jad to produce
# $JAVAS is the list of Java files to compile

TARGET=hdemos
JAVAS='Blue.java'

# Paths to the MIDP classes, the JSR-082 classes, and the preverifier
# Adjust these for your system!
MIDPLIB=/Volumes/MIDP\ v1.0.3\ for\ OS\ X/classes
JSR82LIB=/Users/Shared/wiml/midp/lib/jsr082.jar
PREVERIFY="$MIDPLIB"/../bin/preverify

# Compile all the java files into .class files
rm -r obj ; mkdir obj
javac -g:none -bootclasspath "$MIDPLIB":"$JSR82LIB" -extdirs "" -verbose -target 1.1 -source 1.2 -d obj $JAVAS

# Run the preverifier, producing a new set of class files
#  in the 'prever' directory
rm -r prever ; mkdir prever
"$PREVERIFY" -classpath "$MIDPLIB":"$JSR82LIB":./obj -d prever example.Blue

# create a .jar file and a .jad file
rm $TARGET.jar
cp hello.png prever/hello.png
jar cfm $TARGET.jar $TARGET.manifest -C prever .
(
    echo 'JadFile-Version: 1.5'
    #egrep '^MIDlet-' $TARGET.manifest
    #egrep '^MicroEdition-' $TARGET.manifest
    cat $TARGET.manifest
    echo 'MIDlet-Jar-URL:' $TARGET.jar
    echo 'MIDlet-Jar-Size:' `wc -c < $TARGET.jar`
) > $TARGET.jad

